Subject: bug#41747: 27.0.91; Add default fontset setup for "Symbols and Pictographs Extended-A"

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Jun 2020 17:48:38 +0300

> From: Kévin Le Gouguec <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Wed, 10 Jun 2020 10:36:44 +0200
> 
> They are color fonts though, so I don't think it would make sense to use
> them just for "Symbols and Pictographs Extended-A": I expect users would
> find it jarring if Emacs displayed emoji from this specific block with a
> color font, yet displayed all others with a "regular"[2] font.
> 
> IMO the best way forward would be to consult Unicode's emoji list[3],
> and enrich setup-default-fontset by iterating over every range and
> 
> (set-fontset-font "fontset-default" range
>                   '("Noto Color Emoji" . "iso10646-1") nil 'prepend)

That's part of the TODO item for better emoji support in Emacs.

> The (somewhat) complicated part is listing all ranges; it's not clear to
> me yet if we want to do this manually, at compile-time, or once per
> Unicode release, using scripts under admin/.

The latter, of course.  This is also in TODO.